=== debian/control ===
Source: proda
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: David Paleino <d.paleino@gmail.com>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/proda
Vcs-Git: https://salsa.debian.org/med-team/proda.git
Homepage: http://proda.stanford.edu/

Package: proda
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: multiple alignment of protein sequences
 ProDA is a system for automated detection and alignment of homologous
 regions in collections of proteins with arbitrary domain architectures.
 Given an input set of unaligned sequences, ProDA identifies all
 homologous regions appearing in one or more sequences, and returns a
 collection of local multiple alignments for these regions.
