=== debian/watch ===
version=4
opts="uversionmangle=s/_/\./" \
http://proda.stanford.edu/proda_(.*)\.tar\.gz
